| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Enumerations
OgreSceneManager.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgrePlane.h"`
`#include "OgreQuaternion.h"`
`#include "OgreColourValue.h"`
`#include "OgreCommon.h"`
`#include "OgreSceneQuery.h"`
`#include "OgreAutoParamDataSource.h"`
`#include "OgreAnimationState.h"`
`#include "OgreRenderQueue.h"`
`#include "OgreRenderQueueSortingGrouping.h"`
`#include "OgreResourceGroupManager.h"`
`#include "OgreShadowTextureManager.h"`
`#include "OgreInstanceManager.h"`
`#include "OgreRenderSystem.h"`
`#include "OgreLodListener.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreNameGenerator.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::DefaultAxisAlignedBoxSceneQuery
| Default implementation of AxisAlignedBoxSceneQuery. More...
class | Ogre::DefaultIntersectionSceneQuery
| Default implementation of IntersectionSceneQuery. More...
class | Ogre::DefaultPlaneBoundedVolumeListSceneQuery
| Default implementation of PlaneBoundedVolumeListSceneQuery. More...
class | Ogre::DefaultRaySceneQuery
| Default implementation of RaySceneQuery. More...
class | Ogre::DefaultSphereSceneQuery
| Default implementation of SphereSceneQuery. More...
class | Ogre::SceneManager
| Manages the organisation and rendering of a 'scene' i.e. More...
struct | Ogre::SceneManager::lightLess
| Comparator for sorting lights relative to a point. More...
class | Ogre::SceneManager::Listener
| Class that allows listening in on the various stages of SceneManager processing, so that custom behaviour can be implemented from outside. More...
struct | Ogre::SceneManager::materialLess
| Comparator for material map, for sorting materials into render order (e.g. More...
struct | Ogre::SceneManager::RenderContext
class | Ogre::SceneManager::SceneMgrQueuedRenderableVisitor
| Inner helper class to implement the visitor pattern for rendering objects in a queue. More...
struct | Ogre::SceneManager::SkyBoxGenParameters
struct | Ogre::SceneManager::SkyDomeGenParameters
struct | Ogre::SceneManager::SkyPlaneGenParameters
class | Ogre::SceneManagerFactory
| Class which will create instances of a given SceneManager. More...
struct | Ogre::SceneManagerMetaData
| Structure containing information about a scene manager. More...
struct | Ogre::ViewPoint
| Structure for holding a position & orientation pair. More...
struct | Ogre::VisibleObjectsBoundsInfo
| Structure collecting together information about the visible objects that have been discovered in a scene. More...

## Namespaces
| Ogre

## Typedefs
typedef uint16 | Ogre::SceneTypeMask
| Bitmask containing scene types. More...

## Enumerations
enum | Ogre::SceneType { Ogre::ST_GENERIC = 1, Ogre::ST_EXTERIOR_CLOSE = 2, Ogre::ST_EXTERIOR_FAR = 4, Ogre::ST_EXTERIOR_REAL_FAR = 8, Ogre::ST_INTERIOR = 16 }
| Classification of a scene to allow a decision of what type of SceenManager to provide back to the application. More...